Solve Pycharm Error: Microsoft Visual C ++ 14.0 is Required. Get it with "Microsoft Visual C ++ Bui during Numpy installation

created at 06-26-2021 views: 1

Install numpy Time Tool News with Pycharm:

error: Microsoft Visual C ++ 14.0 is Required. Get it with "Microsoft Visual C ++ Build Tools": https://visualstudio.microsoft.com/downloads/ 

I don't know if it is because the Python version is too high. At present, I use 3.8, the latest version, if I know the reason, welcome to info. I have found a lot online, I feel more troublesome. 

the screenshot

Solution

1.  CMD running the console, 

2. download NUMPY directly with PIP 

pip install numpy

3.  then go to Python installation package to find the Numpy folder, under the site-packages folder, copy it 

paste it to your working project, also the site-packages directory

and then you can use it normally. 

If you introduce other packages, similar issues can be so resolved.

created at:06-26-2021
edited at: 06-27-2021: